Bug 4717 - Registry backend: "Key type not recognized" in "regshell" tool
Registry backend: "Key type not recognized" in "regshell" tool
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
x64 Linux
: P3 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks: 4705
  Show dependency treegraph
 
Reported: 2007-06-20 07:43 UTC by Roberto Alcini
Modified: 2013-07-03 03:25 UTC (History)
1 user (show)

See Also:


Attachments
This is the patch file containing my fix. (509 bytes, patch)
2007-06-20 07:45 UTC, Roberto Alcini
no flags Details
A small patch which corrects an error message (473 bytes, patch)
2008-08-07 12:08 UTC, Matthias Dieter Wallnöfer
no flags Details
An enhanced patch which corrects the "ck" command too and doesn't append every time a "(null)" when the key isn't changed. (1.21 KB, patch)
2008-08-07 12:22 UTC, Matthias Dieter Wallnöfer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roberto Alcini 2007-06-20 07:43:58 UTC
I try to use regshell on 4.0.0tp1 against a Windows 2003 Server Host via rcp but i observed that all types of key are setted to 'Unknown'.

With gdb i determined that the error is in the file reg_backend_rpc.c. I've done a patch that fixed this problem.

I hope that it will be useful because this problem is propagated until tp5 and current branch version.
Comment 1 Roberto Alcini 2007-06-20 07:45:32 UTC
Created attachment 2771 [details]
This is the patch file containing my fix.
Comment 2 Andrew Bartlett 2007-07-16 23:38:45 UTC
Jelmer,

Can you comment on the patch attached to this bug?
Comment 3 Matthias Dieter Wallnöfer 2007-08-31 05:37:47 UTC
I think this bug is now obsolete due the rewrite of the registry backend. The mentioned file isn't disponible anymore. Thoughts?
Comment 4 Jelmer Vernooij 2008-01-07 13:01:54 UTC
This was fixed in svn, though slightly different. Doesn't appear to work against Samba itself yet though as the server is returning WERR_MORE_DATA.
Comment 5 Jelmer Vernooij 2008-01-20 11:37:02 UTC
This is in no way critical, just a bug like any other.
Comment 6 Matthias Dieter Wallnöfer 2008-08-07 12:06:42 UTC
Comment on attachment 2771 [details]
This is the patch file containing my fix.

I mark the patch as "obsolete" because it isn't applicable anymore.
Comment 7 Matthias Dieter Wallnöfer 2008-08-07 12:08:39 UTC
Created attachment 3456 [details]
A small patch which corrects an error message
Comment 8 Matthias Dieter Wallnöfer 2008-08-07 12:22:10 UTC
Created attachment 3457 [details]
An enhanced patch which corrects the "ck" command too and doesn't append every time a "(null)" when the key isn't changed.
Comment 9 Matthias Dieter Wallnöfer 2008-08-07 12:50:51 UTC
At the moment I'm trouble using "regshell" and "regtree".
When using the "-R" option e.g. "-R ncacn_np:127.0.0.1", I get "Unable to open remote registry at ncacn_np:127.0.0.1:WERR_NOMEM".
Comment 10 Matthias Dieter Wallnöfer 2008-09-13 12:16:17 UTC
Comment on attachment 3457 [details]
An enhanced patch which corrects the "ck" command too and doesn't append every time a "(null)" when the key isn't changed.

This should be fixed when my registry patches are merged into the main branch.
Comment 11 Matthias Dieter Wallnöfer 2008-09-22 11:16:12 UTC
Fixed with registry branch merge.